#define topic1 "TEST/cmnd"
#define topic2 "TEST/H"  // топик влажности
#define topic3 "TEST/T"  // топик температуры

const uint8_t D1pin = 5;	// Датчик температуры и влажности
char buf[12];

#include "wifi.h"
#include "dh22.h"


void setup(){
	Serial.begin(115200); 
	pinMode(D1pin, INPUT);

	// Подключаемся к WIFI
  WiFi.mode(WIFI_STA);
  WiFi.begin(ssid, password);
  while (WiFi.waitForConnectResult() != WL_CONNECTED) {
    delay(5000);
    ESP.restart();
  }

 	/* ... к MQTT */
	client.setServer(mqtt_server, 1883);//подключаемся к MQTT
	client.setCallback(callback);				//функция получения топиков с брокера
	delay(100);													//ждем 100 милисекунд
	client.connect(ESPClient);					//конектимся с брокером как клиент
	client.subscribe(topic1);

}

/* ---===   ===----------------------------------------------------- */
void loop() {
	client.loop();
	dh(300000);		// Температура/влажность  каждые 5 минут

}

