#include <Adafruit_Sensor.h>
#include "DHT.h"
DHT dht(D1pin, DHT22);

void dh(int32_t interval){
	static bool dh_setup;
	static unsigned long dh_timer;
//	static int8_t mt,mh;
	if(!dh_setup) {
		dht.begin();
		dh_setup = true;
	}
	if (dh_timer + interval > millis())
		return ;
	dh_timer = millis();
	uint8_t h = dht.readHumidity();
	uint8_t t = dht.readTemperature(); 
	client.publish(topic3, String(t).c_str());
	client.publish(topic2, String(h).c_str());
}